<?php

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if (!defined('ABSPATH')) {
  exit;
} // Exit if accessed directly

class kavehbreadcrumb extends \Elementor\Widget_Base
{
  public function get_name()
  {
    return 'kavehbreadcrumb';
  }

  public function get_title()
  {
    return esc_html__('Breadcrumb', 'kavehTheme');
  }

  public function get_icon()
  {
    return 'eicon-archive-posts';
  }

  public function get_categories()
  {
    return ['kavehelements'];
  }



  protected function render()
  {
    $settings = $this->get_settings_for_display();
    $clsid = $this->get_id();
    if (!class_exists('WooCommerce')) {
      return;
    }
    if (\Elementor\Plugin::$instance->editor->is_edit_mode()) {
    } else {

        if (class_exists('kavehTheme')) {
      echo kavehTheme::get_breadcrumb();
    } 

    }
  }
}
